Bug 1210859 - some standard buttons texts in system-config-printer have wrong underscore
Summary: some standard buttons texts in system-config-printer have wrong underscore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-10 18:06 UTC by Rolle
Modified: 2015-07-29 01:53 UTC (History)
2 users (show)

Fixed In Version: system-config-printer-1.5.7-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-02 18:05:53 UTC
Type: Bug


Attachments (Terms of Use)
wrong underscore (55.60 KB, image/png)
2015-04-10 18:06 UTC, Rolle
no flags Details
wrong underscore (79.06 KB, image/png)
2015-04-10 18:07 UTC, Rolle
no flags Details
wrong underscore (91.59 KB, image/png)
2015-04-10 18:07 UTC, Rolle
no flags Details

Description Rolle 2015-04-10 18:06:49 UTC
Created attachment 1013222 [details]
wrong underscore

Description of problem:
I see some buttons that have a wrong underscore in german translation in system-config-printer. This underscore must erased and then the german words are correct. (see 3 attached pics).

"Abbre_chen"     -> "Abbrechen"
"A_ktualisieren" -> "Aktualisieren"

Version-Release number of selected component (if applicable):
Fedora 21, Fedora 22 pre beta (nightly build 2015-04-09, LiveCD)

How reproducible:
always

Steps to Reproduce:
1. switch translation to german
2. start system-config-printer
3. open the properties-page of an installed printer (in my case a laserprinter Brother HL-4050CDN)
4. go to the first subpage and look at the cancel-button "Abbre_chen" on the bottom of the page
5. go to the toner subpage and look at the update button "A_ktualisieren" on the right of the page

Actual results:
- cancel button is translated to "Abbre_chen"
- update button is translated to "A_ktualisieren"


Expected results:
it should be:
- "Abbrechen"
- "Aktualisieren"


Additional info:
I don't know if this problem is only a problem in german translation or in other languages too.

Comment 1 Rolle 2015-04-10 18:07:17 UTC
Created attachment 1013223 [details]
wrong underscore

Comment 2 Rolle 2015-04-10 18:07:39 UTC
Created attachment 1013224 [details]
wrong underscore

Comment 3 Tim Waugh 2015-04-13 11:02:41 UTC
These buttons were missing the use_underline property in the ui definition.

Fixed upstream:
https://git.fedorahosted.org/cgit/system-config-printer.git/commit/?id=027d636c5916d6a754156317cf2b0b86f555e205

Comment 4 Fedora Update System 2015-04-29 14:14:03 UTC
system-config-printer-1.5.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/system-config-printer-1.5.7-1.fc22

Comment 5 Fedora Update System 2015-04-29 14:16:30 UTC
system-config-printer-1.5.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/system-config-printer-1.5.7-1.fc21

Comment 6 Fedora Update System 2015-04-30 11:47:37 UTC
Package system-config-printer-1.5.7-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.5.7-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7265/system-config-printer-1.5.7-1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-05-02 18:05:53 UTC
system-config-printer-1.5.7-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-07-29 01:53:23 UTC
system-config-printer-1.5.7-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.